Bug 2229 - geoip was updated to 1.5.1 [UPDATE REQUEST]
: geoip was updated to 1.5.1 [UPDATE REQUEST]
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 17:53 MSD by Alexander Burmashev
Modified: 2013-09-25 10:45 MSD (History)
4 users (show)

See Also:
RPM Package: geoip
ISO-related:
Bad POT generating:
Upstream:


Attachments
Wireshark 1.10.0 + GeoIP 1.5.1 (212.66 KB, image/png)
2013-06-18 20:33 MSD, Andrey Bondrov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-06-18 17:53:52 MSD
geoip was updated to 1.5.1
Comment 1 Alexander Burmashev 2013-06-18 19:33:51 MSD
Advisory:
geoip was updated to 1.5.1
Buildlists:
https://abf.rosalinux.ru/build_lists/1156670
https://abf.rosalinux.ru/build_lists/1156671

Additional info:
all package that BuildRequire geoip/geoip-devel were rebuilt on new geoip, buildrequires were changed to pkgconfig(geoip)

Packages from main:
bind:
https://abf.rosalinux.ru/build_lists/1156913
https://abf.rosalinux.ru/build_lists/1156914
nginx
https://abf.rosalinux.ru/build_lists/1156934
https://abf.rosalinux.ru/build_lists/1156933
wireshark
https://abf.rosalinux.ru/build_lists/1156901
https://abf.rosalinux.ru/build_lists/1156902

Packages from contrib ( so they should not be tested, only if you have free time and nothing to do ):
xqf
https://abf.rosalinux.ru/build_lists/1156909
https://abf.rosalinux.ru/build_lists/1156910
netsniff-ng
https://abf.rosalinux.ru/build_lists/1156922
https://abf.rosalinux.ru/build_lists/1156921
php-geoip
https://abf.rosalinux.ru/build_lists/1156915
https://abf.rosalinux.ru/build_lists/1156916
python-geoip
https://abf.rosalinux.ru/build_lists/1156966
https://abf.rosalinux.ru/build_lists/1156965
perl-Geo-IP
https://abf.rosalinux.ru/build_lists/1156985
https://abf.rosalinux.ru/build_lists/1156986
libtorrent-rasterbar
https://abf.rosalinux.ru/build_lists/1156905
https://abf.rosalinux.ru/build_lists/1156906
amule
https://abf.rosalinux.ru/build_lists/1156917
https://abf.rosalinux.ru/build_lists/1156918
cherokee
https://abf.rosalinux.ru/build_lists/1156930
https://abf.rosalinux.ru/build_lists/1156929
gslists
https://abf.rosalinux.ru/build_lists/1156962
https://abf.rosalinux.ru/build_lists/1156961
awwfull
https://abf.rosalinux.ru/build_lists/1156798
https://abf.rosalinux.ru/build_lists/1156799
Comment 2 Andrey Bondrov 2013-06-18 20:33:35 MSD
Created attachment 1550 [details]
Wireshark 1.10.0 + GeoIP 1.5.1

Wireshark 1.10.0 seems to work fine with GeoIP 1.5.1.
Comment 3 Andrey Bondrov 2013-06-18 20:38:07 MSD
But Wireshark requires some advanced configuration first. Don't expect GeoIP to work in Wireshark "out of the box". But Wireshark is not designed to be used by newbies anyway.
Comment 4 Alexander Petryakov 2013-06-19 01:46:16 MSD
Current release number bind is bind-9.9.1-1.P2.0. Please check release number
Comment 6 Alexander Petryakov 2013-06-20 01:42:48 MSD
I can't check nginx, It have error before and after update 
# nginx
Can't load '/usr/lib/perl5/vendor_perl/5.14.2/x86_64-linux-thread-multi/auto/nginx/nginx.so' for module nginx: /usr/lib/perl5/vendor_perl/5.14.2/x86_64-linux-thread-multi/auto/nginx/nginx.so: undefined symbol: ngx_http_perl_handle_request at /usr/lib/perl5/5.14.2/XSLoader.pm line 71.
 at /usr/lib/perl5/vendor_perl/5.14.2/x86_64-linux-thread-multi/nginx.pm line 56
Compilation failed in require.
BEGIN failed--compilation aborted.
nginx: [alert] perl_parse() failed: 255
Comment 7 Alexander Burmashev 2013-06-25 18:42:39 MSD
nginx was updated to 1.2.9, rebuilt on fresh geoip and fixed, so it can be started now
https://abf.rosalinux.ru/build_lists/1174690
https://abf.rosalinux.ru/build_lists/1174691
Comment 8 Alexander Petryakov 2013-07-03 09:27:49 MSD
bind have messages in log:
GeoIP Country DB not available
Jul  2 02:33:54 Fresh-amd64 named[2893]: GeoIP City DB Revision 0 or 1 not available
Jul  2 02:33:54 Fresh-amd64 named[2893]: GeoIP Region DB Revision 0 or 1 not available
Jul  2 02:33:54 Fresh-amd64 named[2893]: GeoIP ISP DB not available
Jul  2 02:33:54 Fresh-amd64 named[2893]: GeoIP Organization DB not available
Jul  2 02:33:54 Fresh-amd64 named[2893]: GeoIP AS DB not available
Jul  2 02:33:54 Fresh-amd64 named[2893]: GeoIP NetSpeed DB not available
Jul  2 02:33:54 Fresh-amd64 named[2893]: GeoIP Domain DB not available
Jul  2 02:33:54 Fresh-amd64 named[2893]: GeoIP Country DB IPv6 not available
Comment 9 Denis Silakov 2013-09-21 18:09:07 MSD
As far as I can see, geoip-1.5.1 and related packages have been published to repositories 2 months ago. 

So can we close this bug now?
Comment 10 Alexander Burmashev 2013-09-21 18:19:37 MSD
imho yes.